import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const guildDeleteAllocatedService = createAsyncThunk(
  "GUILD_DELETE_ALLOCATED_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.delete("steward-guild-allocation/0/", {
      params: {
        steward_allocation_key: d.steward_allocation_key,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
